List OAuth Clients
List each connector slot and the OAuth client registered for it, if any.
GET
ApiKeyAuthheader
AuthorizationBearer <token>Api key to access Mixedbreads API
One slot per connector, with its registered client if any
application/json- response
The Google connector slots and the customer-owned OAuth client registered for each.
data*array<>One slot per Google connector
cURL
curl https://api.mixedbread.com/v1/integrations/oauth-clients \ -H 'Authorization: Bearer YOUR_API_KEY'Example Response200
{ "data": [ { "provider": "gmail", "redirect_uri": "https://api.mixedbread.com/v1/integrations/gmail/oauth/callback", "required_scopes": [ "https://www.googleapis.com/auth/gmail.readonly" ], "app_manifest": null, "client": { "provider": "gmail", "client_id": "123456789012-abcdefghijklmnop.apps.googleusercontent.com", "redirect_uri": "https://api.mixedbread.com/v1/integrations/gmail/oauth/callback", "return_url": "https://platform.example.com/connected", "has_signing_secret": false, "created_by_user_id": "da5f646d-4827-49a5-92cc-2f16a6594c27", "created_at": "2026-09-05T17:25:12.338038+00:00", "updated_at": "2026-09-05T17:25:12.338038+00:00" } }, { "provider": "google_drive", "redirect_uri": "https://api.mixedbread.com/v1/integrations/google_drive/oauth/callback", "required_scopes": [ "https://www.googleapis.com/auth/drive.readonly" ], "app_manifest": null, "client": null }, { "provider": "slack", "redirect_uri": "https://api.mixedbread.com/v1/integrations/slack/oauth/callback", "required_scopes": [ "users:read", "users:read.email", "channels:history", "channels:read", "files:read", "groups:history", "groups:read", "im:history", "im:read", "mpim:history", "mpim:read", "users:read" ], "app_manifest": "{ ... }", "client": { "provider": "slack", "client_id": "1234567890.1234567890", "redirect_uri": "https://api.mixedbread.com/v1/integrations/slack/oauth/callback", "return_url": "https://platform.example.com/connected", "has_signing_secret": true, "created_by_user_id": "da5f646d-4827-49a5-92cc-2f16a6594c27", "created_at": "2026-09-05T17:25:12.338038+00:00", "updated_at": "2026-09-05T17:25:12.338038+00:00" } } ]}